/* Theme Name: Siconnect Child Theme
Theme URI: siconnect.fr
Version: 1.1.8
Description: Intégrateur certifié des solutions Infor M3 & XA
Author: Driss Batech
Author URI: https://www.linkedin.com/in/driss-batech-aa5446122/
Template: siconnect
Version: 1.0.0
Text Domain:  siconnect-child
*/

/* variables */
:root {
    --ocean-gradient: linear-gradient(135deg, #1e40af 0%, #0891b2 50%, #0ea5e9 100%);
}

/* remove text spaces inside text editor */
.elementor-widget-text-editor p:last-child {
    margin-bottom: 0px;
}

/* Btn */
.siconnect-btn :is(span.elementor-button-content-wrapper, span.elementor-button-icon i) {
    display:flex;
    align-items: center;
}
.siconnect-btn .elementor-button-text {position: relative;top: 1px;}




/* header */



/* body:not(.home) .home-logo, .header_sticky.active_sticky .home-logo {
    display: none;
} */

/* body.home .header_sticky:not(.active_sticky) .scrollpages-logo {display: none;} */
/* body.home .header_sticky:not(.active_sticky) nav.menu-canvas button:after,
body.home .header_sticky:not(.active_sticky) nav.menu-canvas button:before,
body.home .header_sticky:not(.active_sticky) nav.menu-canvas button span:before {
    background: #fff !important;
} */

button.menu-toggle:hover {
    background-color: transparent !important;
}

.header_sticky.mobile_sticky.active_sticky .primary-navigation ul li a{color: #101828 !important;}
/* .home .ova-menu-custom-line .main-navigation ul.menu > li > a:before {background:#fff;} */
/* .home .header_sticky.mobile_sticky.active_sticky .ova-menu-custom-line .main-navigation ul.menu > li > a:before {background:#1e40af;} */

/* body:not(.home) .header_sticky.mobile_sticky {background:#fff;margin-bottom: 0;} */
/* body:not(.home) .header_sticky.mobile_sticky .primary-navigation ul li a {color: #101828 !important;} */
/* body.home .header_sticky:not(.active_sticky) nav.main-navigation ul.menu li a {text-shadow: 0 1.5px 2px rgba(0, 0, 1);} */

/* Account */
.siconnect-account ul.e-n-menu-heading li.e-n-menu-item {display: none;}
body.logged-in .siconnect-account ul.e-n-menu-heading li.e-n-menu-item:first-child {display:block !important;}
body:not(.logged-in) .siconnect-account ul.e-n-menu-heading li.e-n-menu-item:last-child {display:block !important;}
/* header crumbs */
.siconnect-header .ova-heading .sub-title {
    padding: 3px 6px 1px 6px !important;
    border-radius: 5px;
}

.siconnect-header.blue-subtitle .ova-heading .sub-title {
    background: var(--e-global-color-8654452);
}

.siconnect-header.siconnect-header.purple-subtitle .ova-heading .sub-title {
    background: #615FFF;
}

/* gradient overlay */

.gradient-overlay:before {
    background: var(--ocean-gradient) !important;
}

/* scroll up button */
a#scrollUp {
    border-radius: 50%;
    padding: 0 !important;
    width: 43px;
    border: 2px solid #fff;
}

a#scrollUp i {
    text-align: center;
}

.blured-bg {
    background: linear-gradient(360deg, rgba(225, 135, 255, 0.3) -0.01%, rgba(232, 255, 254, 0.3) 114.01%);
    backdrop-filter: blur(7px);
}

/* remove text spaces inside text editor */
.elementor-widget-text-editor p:last-child {
    margin-bottom: 0px;
}

.siconnect-underline.center-underline .ova-heading .title:after {
    margin: 15px auto;
} */

.outline-text {
    color: transparent;
    background: transparent;
    -webkit-text-stroke: 2px var(--e-global-color-accent);
    letter-spacing: 5px;
}

/* Vertical list */
.vertical-list-icon .elementor-icon-list-items .elementor-icon-list-item {
    flex-direction: column;
}
/* Icon box */

.siconnect-iconbox {
    backdrop-filter: blur(10px);
    background: #fffffff2;
    border: 1px solid #0ea5e933;
    transition: all .3s;
}

.siconnect-iconbox:hover {
    border-color: #0ea5e966;
    transform: translateY(-5px);
    box-shadow: 0 20px 40px #0ea5e926;
}
.siconnect-iconbox .elementor-view-stacked .elementor-icon-box-icon .elementor-icon, .siconnect-counter-icon .elementor-icon {
    background: var(--ocean-gradient);
}

.siconnect-iconbox .elementor-view-stacked .elementor-icon-box-icon .elementor-icon svg * {
    fill: #fff;
}

.siconnect-iconbox2 .elementor-view-stacked .elementor-icon-box-icon .elementor-icon svg * {
    fill: currentColor;
}

.siconnect-iconbox2 .elementor-icon-box-content .elementor-icon-box-description {
    margin-bottom: 0 !important;
}

.siconnect-iconbox p.elementor-icon-box-description {
    margin-bottom: 0 !important;
}

.align-content-left .elementor-icon-box-content {
    text-align: left;
}
/* Number text box */
.ova-textnumber-box .number {display: inline-block;}
.ova-textnumber-box .number-icon :is(i, svg) {
    display: block !important;
    line-height: 0;
    text-align: center;
    margin: 0 auto;
}

/* testimonials */
.ova-testimonial.ova-testimonial-template6 .slide-testimonials .client-info .info {
    flex-direction: column;
    align-items: center !important;
    gap: 15px !important;
}
.ova-testimonial.ova-testimonial-template6 .slide-testimonials .client-info p.ova-evaluate {
    margin-bottom: 0 !important;
    border: unset !important;
    padding: 0 !important;
}

.ova-testimonial.ova-testimonial-template6 .slide-testimonials .client-info .info .name-job {
    padding: 0 !important;text-align: center;
}

.siconnect-testimonial .slide-testimonials .item .client-info .name-job {
    padding: 12px 0px !important;
}
.siconnect-testimonial .slide-testimonials .item .client-info {padding: 30px !important;}
.siconnect-testimonial .slide-testimonials .item .client-info .name-job .job span.job-service {
    display: block;
    border: 1px solid;
    padding: 3px 5px 0px 5px;
    width: fit-content;
    border-radius: 5px;
    margin: 10px auto 0 auto;
    color: var(--e-global-color-8654452);
}

.siconnect-testimonial .slide-testimonials .item .client-info .name-job .job {
    padding: 0 !important;
}

.siconnect-testimonial .slide-testimonials .item .client-info .info {
  &::before,  &::after { 
    display: none !important;
  }
}
/* Quote before */
.siconnect-testimonial .slide-testimonials .item .client-info .ova-evaluate::before {
  content: "❝";
  font-size: 22px;
  line-height: 0px;
  vertical-align: sub;
  display:inline-block;
  margin-left: -16px;
  color: var(--primary);
  font-style: normal;
}

/* Quote after */
.siconnect-testimonial .slide-testimonials .item .client-info .ova-evaluate::after {
  content: "❞";
  font-size: 22px;
  line-height: 0px;
  vertical-align: sub;
  display: inline-block;
  margin-left: 5px;
  color: var(--primary);
  font-style: normal;
}

.siconnect-testimonial .slide-testimonials .item .client-info .ova-evaluate {
    margin-left: 16px !important;
    padding-bottom: 10px !important;
}
/* Service Grid */
.service-grid .ova-service-2 .icon svg {
    bottom: unset !important;
    right: unset !important;
    font-size: 45px !important;
}


/* Process add four columns */
.ova-process.four_column .item-process .image-process {
    width: 180px !important;
    height: 180px !important;
}
.ova-process.four_column .item-process .image-process .text_number {
    right: 20px !important;
}
.ova-process.four_column {
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.ova-process.four_column .item-process .image-process img {
    background: #e2caff !important;
    overflow: unset !important;
}

.ova-process.four_column .item-process:before {
    top: 90px !important;
}

@media (max-width: 1200px) {
    .ova-process.four_column {
        grid-template-columns: 1fr 1fr;
    }
}
@media (max-width: 1024px) {
    .ova-process.four_column {
        grid-template-columns: auto;
    }
    .ova-process.four_column .item-process:before {
        content: none !important;
    }
}
/* Headers */
.siconnect-subtitle-heading h2.sub-title {
    position: relative;
    z-index: 1;
    padding: 3px 8px 0px 8px !important;
    border-radius: 5px !important;
}

.siconnect-subtitle-heading h2.sub-title::before {
    content: "";
    position: absolute;
    inset: 0;
    background: currentColor;
    opacity: 0.3; /* adjust opacity */
    z-index: -1;
    border-radius: 4px;
}

.custom-header .ova-heading {
    display: flex;
    flex-direction: column;
}

.custom-header .ova-heading .title {
    order: 1;
}

.custom-header .ova-heading .sub-title {
    order: 2;
}

.custom-header .ova-heading .description {
    order: 3;
}


.custom-header .ova-heading .sub-title .underlined {
    display: block !important;
    position: unset !important;
    margin: 30px auto 0px auto;
}
/* ======================================= 
Support & assistance Page
======================================= */
.elementor-icon-box-content .elementor-icon-box-description span.contact-subinfos {display: block;font-size: 14px;}
/* ======================================= 
Blog Grid Page
======================================= */
/* filter */
.blog-filter-form { display: grid; grid-template-columns: 1fr; gap: 15px; width: 100%; }
form.blog-search-form .search-grp {
    display: flex;
    position: relative;
}

form.blog-search-form .search-grp input.post_search {
    background-color: #ffffff96;
    border-style: none;
    border-radius: 8px;
    width: 100%;
}

form.blog-search-form .search-grp button {
    background: unset;
    padding: 0;
    border: unset;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 13px;
}

form.blog-search-form .search-grp button i {
    display: flex;
    font-size: 24px;
    color: #6d6d6d;
}

form.blog-search-form .search-grp input.post_search::placeholder {
    color: #000000;
}

/* category filters */
.filter-box {
    backdrop-filter: blur(10px);
    background: #fffffff2;
    border: 1px solid #0ea5e933;
    transition: all .3s;
    border-radius: 12px;
    padding: 15px;
    box-shadow: 0 1px 3px 0 #0000001a, 0 1px 2px -1px #0000001a;
    gap: 10px;
}

.filter-box:hover {
    border-color: #0ea5e966;
    transform: translateY(-5px);
    box-shadow: 0 20px 40px #0ea5e926;
}

.filter-box h4 {
    margin: 0;
}

.cat-items-group {
    display: flex;
    flex-direction: column;
    gap: 5px;
    height: 230px;
    max-height: 230px;
    overflow-y: auto;
}

.cat-items-group label.cat-item {
    display: flex;
    border-radius: .25rem;
    padding: 2px 10px;
    color: #0a0a0a;
    font-size: 15px;
    font-weight: 600;
    align-items: center;
    background-color: #dbeafe;
    border: 1px solid #dbeafe;
    justify-content: space-between;
    cursor:pointer;
}

.cat-items-group label.cat-item input {
    display: none;
}

/* highlight when the radio inside is checked */
.cat-items-group label.cat-item:has(input:checked) {
    border: 1px solid #2563eb; /* blue border */
    color: #2563eb;
    background-color: #bfdbfe; /* optional: darker background */
}


.cat-items-group label.cat-item span.cat-count {
    background-color: var(--e-global-color-8654452);
    color: #fff;
    padding: 0px 5px;
    border-radius: 3px;
    height: 18px;
    font-size: 12px;
    line-height: 18px;
}

/* tag filter */
.tag-wrapper {
    max-height: 90px;
    height: 90px !important;
    overflow-y: auto;
}
.tag-group {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

.tag-group label.tag-item {
    display: flex;
    gap: 5px;
    padding: 0px 5px;
    max-height: 25px;
    height: 25px;
    border-radius: 6px;
    background-color: #ffffff;
    border: 1px solid #dbeafe;
    cursor: pointer;
    font-size: 14px;
    transition: all 0.3s;
}

.tag-group label.tag-item:has(input:checked) {
    border: 1px solid #2563eb;
    color: #2563eb;
    background-color: #bfdbfe;
}

.tag-group label.tag-item input {
    display: none;
}

.tag-group label.tag-item:hover {
    border: 1px solid #2563eb;
    color: #2563eb;
    background-color: #bfdbfe;
}

/* Sorting */

/* buttons filter */
.btn-filter-grp {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}
.btn-filter-grp :is(button, a) {
    padding: 10px 10px 8px 10px !important;
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: space-between;
    border-radius: 6px;
    border: none;
    cursor: pointer;
    transition: all .3s;
    line-height: 0;
}

.btn-filter-grp button {
    background: var(--e-global-color-8654452) !important;
}

.btn-filter-grp :is(button, a) span {
    display: flex;
}

.btn-filter-grp a {
    border: 1px solid #1e40af;
}
.btn-filter-grp button:hover {
    background: unset !important;
    border: 1px solid #1e40af;
}

.btn-filter-grp a:hover {
    background: var(--e-global-color-8654452) !important;
    color: #fff;
    border-color: transparent;
}

/* sorting */
.filter-box .sorting-field {
    padding: 5px !important;
    border-radius: 6px !important;
}


/* Blog page  ======================= */
/* highlighted post section ========== */
.highlighted-post :is(.swiper.elementor-loop-container, .swiper-wrapper) {overflow: unset !important;}
/* Blog grid section ================= */
.e-loop-nothing-found-message {border-radius: 12px;border: 2px dashed #848484;}
.e-loop-nothing-found-message span {color: #12192a;}
/* pagination */
nav.elementor-pagination * {
    width: auto !important;
}
nav.elementor-pagination span.prev:not(.current) {
    background: #e2e2e2;
    padding: 0 12px;
    width: 100px !important;
    border-radius: 20px;
    cursor: not-allowed;
    opacity: 0.6;
}
nav.elementor-pagination a.page-numbers.next {
    background: var(--e-global-color-8654452);
    color:#fff;
    padding: 0 12px;
    width: 100px !important;
    border-radius: 20px;
    transition: all .3s;
}
nav.elementor-pagination a.page-numbers.next:hover {
    background: #e2e2e2;
    color:var(--e-global-color-8654452);
}
/* newsletter section ========== */
.cta-newsletter  .ova-subscribe-form input {
    background-color: #ffffff96 !important;
    border-radius: 8px !important;
    width: 100% !important;
}

.cta-newsletter .ova-subscribe-form {
    gap: 12px;
}

.cta-newsletter .ova-subscribe-form button span.text {
    display: block !important;
}

.cta-newsletter .ova-subscribe-form button {
    width: fit-content !important;
    border-radius: 8px !important;
    gap: 10px;
    background: #fff !important;
    color: #1e40af !important;
}

.cta-newsletter .ova-subscribe-form button i {color: #1e40af !important;}
@media (max-width: 768px) {
    .ova-subscribe-form-wrapper .ova-subscribe-form {
        flex-direction: column;
        align-items: stretch;
        gap: 5px;
    }

    .ova-subscribe-form-wrapper .ova-subscribe-form button {
        width: 100% !important;
    }
}
/* ======================================= 
Contact form 
======================================= */
/* sweetalert2 */
.wpcf7-response-output {display: none !important;}
/* input styles */
.form-contact-us input:not([type="submit"]),
.form-contact-us select,
.form-contact-us textarea {
  border-radius: 8px !important;
  border: 1px solid #e5e5e5 !important;
}

.ova-ctfrom7 .form-contact-us .ova-submit .wpcf7-spinner {top: 50%;transform: translateY(-50%);}

.ova-ctfrom7 :is(input[type="text"], input[type="tel"], input[type="email"], select) {
    padding: 3px 10px 0px 10px !important;
    height: 40px !important;
}


.form-contact-us input:not([type="submit"]) {
    font-size: 14px !important;
}


.form-contact-us .wpcf7-form-control-wrap input:not([type="submit"])::placeholder,
.form-contact-us .wpcf7-form-control-wrap textarea::placeholder {
    font-size: 15px !important;
}

.ova-ctfrom7 .form-contact-us .ova_wrap_input > label {
    font-weight: 600;
    color: #1a1a1a;
}

.form-contact-us :is(input:not([type="submit"]):focus, textarea:focus) {
    box-shadow: 0 0 0 2px #ccccccbd;
    border-color: transparent;
    transition: box-shadow 0.3s ease;
    outline: none;
}

.form-contact-us select {
  height: 36px;font-size: 14px !important;line-height: 16px;
}

.form-contact-us textarea {
    height: 120px !important;
    padding: 15px 10px !important;
}

.form-contact-us input[type="submit"] {
    padding: 12px 0 9px 0 !important;
    text-transform: capitalize !important;
}

.ova-ctfrom7 .form-contact-us .ova-submit {
    background-color: var(--e-global-color-8654452) !important;
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: center;
    width: auto !important;
    border-radius: 8px !important;
    overflow: hidden;
}

.ova-ctfrom7 .form-contact-us .ova-submit i {
    height: auto;
    display: flex;
    align-items: center;
    color: #fff;
}

.ova-ctfrom7 .form-contact-us .ova-submit:after {
    background-color: var(--e-global-color-accent) !important;
}

.form-contact-us .wpcf7-not-valid-tip {
    font-size: 0.8em;
}
/* Faq */
.siconnect-faq.elementor-widget-accordion .elementor-tab-content p {
    line-height: 20px;
    margin: 0;
}

/* =======================================
Solutions Infor
=========================================*/
#infor_xa_btn, #infor_m3_btn {
    cursor: pointer;
}

.siconnect_tabs .e-n-tabs-heading {
    box-shadow: 0 4px 6px -1px #0000001a, 0 2px 4px -2px #0000001a;
    border-radius: 13px;
    padding: 7px;
    width: fit-content;
    margin: 0 auto;
}

.siconnect_tabs .e-n-tabs-heading button:hover {
    background: #fff !important;
    color : var(--e-global-color-8654452) !important;
}

.siconnect_tabs .e-n-tabs-heading button[aria-selected="true"] {
    background: var(--e-global-color-8654452) !important;
}

.siconnect_tabs .e-n-tabs-heading button[aria-selected="true"]:hover {
    color: #fff !important;
}

/* icon box */
.siconnect_iconbox .elementor-icon-box-wrapper {
    display: flex !important;align-items: center;
}

.siconnect_iconbox .elementor-icon-box-wrapper .elementor-icon-box-content p, .siconnect_left_iconbox.elementor-position-left .elementor-icon-box-wrapper p {
    margin: 0 !important;
}

.elementor-position-left .elementor-icon-box-wrapper {
    display: flex;
    gap: 10px;
}

.siconnect-lefticon-box.elementor-position-left .elementor-icon-box-wrapper p {padding: 0;}

@media (max-width: 768px) {
    button:is(#infor_m3_tab, #infor_xa_tab) span.e-n-tab-icon {height: 50px !important;}
    .siconnect_tabs .e-n-tabs-heading button[aria-selected="false"] {border-radius: 15px !important;padding-bottom:5px;}
}

/* style list */
.siconnect-liste-white span.elementor-icon-list-text {
    background: #fff;
    border: 1px solid #e5e5e5;
    padding: 2px 10px 0px 10px;
    border-radius: 10px;
}

.siconnect-liste-white .elementor-icon-list-items.elementor-inline-items {row-gap: 5px;}

/* =======================================
Formation
=========================================*/

/* pricing table */
.siconnect-pricing-table .elementor-price-table .elementor-price-table__header {
    background-image: url('/wp-content/uploads/2025/08/black_wavy_lines_background.webp');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-blend-mode: multiply;
}
.siconnect-pricing-table .elementor-price-table span.elementor-price-table__subheading:before {
    content: "";
    display: inline-block;
    width: 25px;
    height: 25px;
    margin-right: 3px;
    margin-bottom: 2px;
    background-image: url('/wp-content/uploads/2025/08/graduation_hat-icon.svg');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    vertical-align: middle;
}
.siconnect-pricing-table .elementor-price-table .elementor-price-table__price span.elementor-price-table__period{
    background: #d0d6d6;
    margin-top: 10px;
    border-radius: 35px;
    height: 35px;
    line-height: 35px !important;
}

.siconnect-pricing-table .elementor-price-table .elementor-price-table__price {
    width: 200px;
    margin: 0 auto;
}
.siconnect-pricing-table .elementor-price-table .elementor-price-table__price .elementor-price-table__period:before {
    content: "\f102";
    font-family: flaticon !important;
    font-size: 20px;
    display: inline-block;
    vertical-align: middle;
    margin: 0 12px 2px 0;
}

/* =======================================
Services ESN
=========================================*/
.siconnect-liste span.elementor-icon-list-text {
    background: #00767e;
    padding: 0px 10px;
    border-radius: 20px;
}

.siconnect-liste .elementor-icon-list-items.elementor-inline-items {row-gap: 5px;}



/* ======================================== 
Job form page
=========================================*/

.job-manager-form fieldset.fieldset-logged_in {
    display: none;
}

fieldset.fieldset-type-term-select .select2-container .select2-selection {
        height:45px;
        display:flex;
        align-items:center;
        justify-content: space-between;
        border-radius:0;
        border: 1px solid #e0e0e0;
}

fieldset.fieldset-type-term-select .select2-container .select2-selection .select2-selection__arrow b {
    background-image: url("/wp-content/themes/siconnect/assets/img/base/select-arrow.svg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 12px 12px;
    border: 0;
    height: 8px;
    width: 12px;
}

fieldset.fieldset-type-term-select .select2-container .select2-selection > span {
    padding-left: 15px;
}

fieldset.fieldset-type-term-select .select2-container .select2-selection .select2-selection__arrow {
    position: absolute;
    width: 16px;
    right: 13px;
    top: unset;
}

/* ======================================= 
Support assistant Page 
======================================= */

.siconnect_tabs.purple_tabs .e-n-tabs-heading button[aria-selected="true"] {
    background: #4f39f6 !important;
}
.siconnect_tabs.purple_tabs .e-n-tabs-heading button:hover {
    background: #fff !important;
    color : #4f39f6 !important;
}

.siconnect_tabs.red_tabs .e-n-tabs-heading button[aria-selected="true"] {
    background: #D01D24 !important;
}
.siconnect_tabs.red_tabs .e-n-tabs-heading button:hover {
    background: #fff !important;
    color : #D01D24 !important;
}
.checkbox-grp label {
    display: block;
}

.checkbox-grp .checkbox-inputs {
    display: grid !important;
    grid-template-columns: repeat(2, 150px);
    grid-auto-rows: auto;
    row-gap: 10px;
    column-gap: 10px;
    position: relative !important;
    height: auto !important;
}

.checkbox-grp .checkbox-inputs .wpcf7-list-item {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    height: 15px;
    margin: 0;
}

span.wpcf7-form-control.wpcf7-acceptance .wpcf7-list-item label {
    display: flex;
    align-items: center;
    gap: 12px;
    margin: 0 !important;
}

span.wpcf7-form-control.wpcf7-acceptance .wpcf7-list-item {margin: 0;}

input[type="checkbox"]:focus {
    box-shadow: unset !important;
}

.ova-ctfrom7 .form-contact-us .ova-submit.purple-color {
    background-color: #4f39f6 !important;
}

/* ======================================= 
Carriere Page 
======================================= */
.siconnect-input-wrapper .wpjmsf-select2-wrapper-span .select2-container .select2-selection {
    height:45px;
    display:flex;
    align-items:center;
}
.siconnect-input-wrapper .wpjmsf-select2-wrapper-span .select2-container .select2-selection .select2-selection__arrow {top:unset}

/* ======================================= 
Single job Page
======================================= */

.job_application.application .application_button {
    display: none;
}

.siconnect-job-box-details.elementor-position-left .elementor-icon-box-wrapper {
    display: flex;
    flex-direction: row;
}

.siconnect-job-box-details .elementor-icon-box-content .elementor-icon-box-description {
    margin: 0 !important;
}

/* Related jobs */
.related-jobs :is(.swiper.elementor-loop-container, .swiper-wrapper) {overflow: unset !important;}


/* Footer */
.socials-medias .elementor-social-icon:hover svg * {fill: #fff;}